## org.eclipse.datatools.modelbase.sql.query
Interface ValuesRow

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Implementing Classes:
  ValuesRowImpl

    public interface ValuesRow

extends SQLQueryObject

A representation of the model object 'SQL Values Row'.

The following features are supported:

- `Insert Statement`
- `Expr List`
- `Query Values`

See Also:
  `SQLQueryModelPackage.getValuesRow()`

Method Summary
`EList` `getExprList()` Returns the value of the 'Expr List' containment reference list.
`QueryInsertStatement` `getInsertStatement()` Returns the value of the 'Insert Statement' container reference.
`QueryValues` `getQueryValues()` Returns the value of the 'Query Values' container reference.
`void` `setInsertStatement(QueryInsertStatement value)` Sets the value of the '`Insert Statement`' container reference.
`void` `setQueryValues(QueryValues value)` Sets the value of the '`Query Values`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getInsertStatement

    QueryInsertStatement getInsertStatement()

  Returns the value of the 'Insert Statement' container reference. It is bidirectional and its opposite is '`Source Values Row List`'.

  If the meaning of the 'Insert Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Insert Statement' container reference.
  See Also:
    `setInsertStatement(QueryInsertStatement)`, `SQLQueryModelPackage.getValuesRow_InsertStatement()`, `QueryInsertStatement.getSourceValuesRowList()`

### setInsertStatement

    void setInsertStatement(QueryInsertStatement value)

  Sets the value of the '`Insert Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Insert Statement' container reference.
  See Also:
    `getInsertStatement()`

### getExprList

    EList getExprList()

  Returns the value of the 'Expr List' containment reference list. The list contents are of type `QueryValueExpression`. It is bidirectional and its opposite is '`Values Row`'.

  If the meaning of the 'Expr List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expr List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getValuesRow_ExprList()`, `QueryValueExpression.getValuesRow()`

### getQueryValues

    QueryValues getQueryValues()

  Returns the value of the 'Query Values' container reference. It is bidirectional and its opposite is '`Values Row List`'.

  If the meaning of the 'Query Values' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Values' container reference.
  See Also:
    `setQueryValues(QueryValues)`, `SQLQueryModelPackage.getValuesRow_QueryValues()`, `QueryValues.getValuesRowList()`

### setQueryValues

    void setQueryValues(QueryValues value)

  Sets the value of the '`Query Values`' container reference.

  Parameters:
    `value` - the new value of the 'Query Values' container reference.
  See Also:
    `getQueryValues()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.